﻿using System.ComponentModel;

namespace SilverlightAstoriaQA.NWServiceReference
{
    public partial class OrderDetail :INotifyPropertyChanged
    {
        public event PropertyChangedEventHandler PropertyChanged;

        private void FirePropertyChanged(string propertyName)
        {
            var handler = PropertyChanged;
            if (handler != null)
                handler(this, new PropertyChangedEventArgs(propertyName));
        }

        partial void OnProductIDChanged() { FirePropertyChanged("ProductID"); }
        partial void OnOrderIDChanged() { FirePropertyChanged("OrderID"); }
        partial void OnDiscountChanged() { FirePropertyChanged("Discount"); }
        partial void OnQuantityChanged() { FirePropertyChanged("Quantity"); }
        partial void OnUnitPriceChanged() { FirePropertyChanged("UnitPrice"); }
    }
}

